// creator  : weidu.exe (version 23100)
// argument : PPWANEV.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~PPWANEV~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #44199 /* ~What?! What do you want?! Stand up straight! I want that report by dawn! I want this hall cleaned! Don't you stare at me!~ [PPwane02] */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #44203 /* ~Hehehehe, it's alright. Tired of working here wanted a holiday was thinking of retiring probably going to die! Time to move on under down... down down.~ [ppwane07] */
  IF ~~ THEN REPLY #44204 /* ~Relax, I just wanted to ask you a few things.~ */ GOTO 2
  IF ~~ THEN REPLY #44205 /* ~Did you just say that you used to work here? Why are you with the inmates?~ */ GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.1 1.0
  SAY #44206 /* ~Shut up! No questions! Make an appointment! The Coordinator speaks to no one! No one... speaks the Coordinator...~ [ppwane08] */
  IF ~!IsValidForPartyDialogue("NALIA")
!IsValidForPartyDialogue("VICONIA")
!IsValidForPartyDialogue("EDWIN")~ THEN EXIT
  IF ~IsValidForPartyDialogue("NALIA")~ THEN EXTERN ~NALIAJ~ 274
  IF ~!IsValidForPartyDialogue("NALIA")
IsValidForPartyDialogue("VICONIA")~ THEN EXTERN ~VICONIJ~ 126
  IF ~IsValidForPartyDialogue("EDWIN")
!IsValidForPartyDialogue("NALIA")
!IsValidForPartyDialogue("VICONIA")~ THEN EXTERN ~EDWINJ~ 104
END

IF ~~ THEN BEGIN 3 // from: PPIRENI1:13.0
  SAY #44244 /* ~What?! What do you want?! Is this not enough? I want this hall cleaned! Don't you stare at me!~ [PPwane06] */
  IF ~~ THEN EXTERN ~PPIRENI1~ 14
END

IF ~True()
~ THEN BEGIN 4 // from:
  SAY #53815 /* ~Memos! I must direct the asylum from here! Take a memo!~ [ppwane09] */
  IF ~RandomNumGT(1000,0)
RandomNumLT(1000,1000)
~ THEN DO ~GiveItemCreate("SCRLA9",LastTalkedToBy,0,0,0)
~ GOTO 5
  IF ~RandomNum(1000,1000)
~ THEN DO ~GiveItemCreate("SCRLAA",LastTalkedToBy,0,0,0)
~ GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.1 4.0
  SAY #53817 /* ~Yes, that ought to clear everything up.~ */
  IF ~~ THEN EXIT
END
